Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class URIUtilities

    java.lang.Object
      edu.stanford.smi.protege.util.URIUtilities

    public class URIUtilities

extends Object

Author:
  Ray Fergerson

Constructor Summary
`URIUtilities()`

Method Summary
`static BufferedReader` | `createBufferedReader(URI uri)`
`static Writer` | `createBufferedWriter(URI uri, boolean append)`
`static URI` | `createURI(String s)`
`static URI` | `ensureExtension(URI uri, String string)`
`static String` | `getBaseName(URI uri)`
`static String` | `getDisplayText(URI uri)`
`static String` | `getExtension(URI uri)`
`static String` | `getName(URI uri)`
`static URI` | `getParentURI(URI uri)`
`static boolean` | `isAbsoluteURI(String s)`
`static boolean` | `isURI(String s)`
`static boolean` | `isValidURI(String s)`
`static URI` | `normalize(URI input)`
`static URI` | `relativize(URI baseURI, URI uriToRelativize)`
`static URI` | `replaceExtension(URI uri, String extension)`
`static URI` | `resolve(URI projectURI, String name)` Attempts to improve on the built-in resolution by resolving non-hierarchical URI's (such as jar uri's) We also handle passing a name that can be a file (an thus possibly not a valid URI).
`static URL` | `toURL(String text, URI baseURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIUtilities

    public URIUtilities()

Method Detail

### getDisplayText

    public static String getDisplayText(URI uri)

### resolve

    public static URI resolve(URI projectURI,
                              String name)

  Attempts to improve on the built-in resolution by resolving non-hierarchical URI's (such as jar uri's) We also handle passing a name that can be a file (an thus possibly not a valid URI).

  Parameters:
    `projectURI` -
    `name` -
  Returns:
    the resolved uri

### getName

    public static String getName(URI uri)

### getBaseName

    public static String getBaseName(URI uri)

### getParentURI

    public static URI getParentURI(URI uri)

### getExtension

    public static String getExtension(URI uri)

### toURL

    public static URL toURL(String text,
                            URI baseURI)

### relativize

    public static URI relativize(URI baseURI,
                                 URI uriToRelativize)

### normalize

    public static URI normalize(URI input)

### replaceExtension

    public static URI replaceExtension(URI uri,
                                       String extension)

### ensureExtension

    public static URI ensureExtension(URI uri,
                                      String string)

### createBufferedWriter

    public static Writer createBufferedWriter(URI uri,
                                              boolean append)

### createBufferedReader

    public static BufferedReader createBufferedReader(URI uri)

### createURI

    public static URI createURI(String s)

### isURI

    public static boolean isURI(String s)

### isValidURI

    public static boolean isValidURI(String s)

### isAbsoluteURI

    public static boolean isAbsoluteURI(String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.